curl --request GET \
--url https://api.messaging.phonovation.com/subscriptions/1/subscription/{channel}/{subscriptionId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/subscriptions/1/subscription/{channel}/{subscriptionId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/subscriptions/1/subscription/{channel}/{subscriptionId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/subscriptions/1/subscription/{channel}/{subscriptionId}")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/subscriptions/1/subscription/{channel}/{subscriptionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/subscriptions/1/subscription/{channel}/{subscriptionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"subscriptionId": "ABC-123-DEF",
"name": "Default group",
"profile": {
"profileId": "NOTIF-32395",
"security": {
"authId": "NEWAUTH-9291"
}
},
"events": [
"DELIVERY"
],
"criteria": [
{
"applicationId": "production",
"entityId": "entity1"
},
{
"applicationId": "production",
"entityId": "entity2"
},
{
"applicationId": "test",
"entityId": "entity1"
}
],
"resources": [
"1234"
],
"users": [
"user1",
"user2"
]
}Get single subscription
Returns a specific subscription by ID.
Required scope: Enable one of: subscriptions:manage.
curl --request GET \
--url https://api.messaging.phonovation.com/subscriptions/1/subscription/{channel}/{subscriptionId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/subscriptions/1/subscription/{channel}/{subscriptionId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/subscriptions/1/subscription/{channel}/{subscriptionId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/subscriptions/1/subscription/{channel}/{subscriptionId}")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/subscriptions/1/subscription/{channel}/{subscriptionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/subscriptions/1/subscription/{channel}/{subscriptionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"subscriptionId": "ABC-123-DEF",
"name": "Default group",
"profile": {
"profileId": "NOTIF-32395",
"security": {
"authId": "NEWAUTH-9291"
}
},
"events": [
"DELIVERY"
],
"criteria": [
{
"applicationId": "production",
"entityId": "entity1"
},
{
"applicationId": "production",
"entityId": "entity2"
},
{
"applicationId": "test",
"entityId": "entity1"
}
],
"resources": [
"1234"
],
"users": [
"user1",
"user2"
]
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
ID of the subscription you want to get.
Channel name. A separate subscription is needed for each channel.
AGENT_OS, APPLE_MESSAGES_FOR_BUSINESS, BLOCKLIST, CUSTOMER_ENGAGEMENT, EMAIL, FACEBOOK, KAKAO_ALIM, KAKAO_BRAND_MESSAGE, LINE, MMS, MOBILE_IDENTITY, MOBILE_PUSH, NUMBER_LOOKUP, OPEN_CHANNEL, RCS, REGISTRATION, SMS, VIBER, VOICE_VIDEO, WEB_PUSH, WHATSAPP, ZALO Response
Success.
Subscription group.
Subscription ID.
Subscription group name.
Subscription group identifier.
Notification profile.
Show child attributes
Show child attributes
List of events to subscribe.
List of events available for a subscription. Note that a set of events available for each channel is different; subscription to events that are unavailable for a certain channel will be ignored. For more details, see the availability table. If configuring inbound Subscription, check inbound message configuration docs.
List of applicationId/entityId pairs.
Show child attributes
Show child attributes
List of resources.
List of resources.
List of users.
List of users.
List of keywords.
List of keywords.